## pari 2.3.5

=== debian/changelog ===
pari (2.3.5-1) unstable; urgency=low

  * New upstream release
    + 11797: make sure the build fails if gp cannot be installed.
    + 11799: Add gnu* to systems supporting intra-library dependencies.
  * Move to new source format 3.0 (quilt). Patches applied:
    - enable_build_envvar
    - install-docpdf
  * New patch: 
    - refcard-special-papersize: add \special{papersize=...} to doc/refcard.tex
    Closes: 461814. Thanks Vincent Lefevre.
  * debian/rules:
    - link gp with '-ld -lm' to allow linking with --no-add-needed.
    Closes: 556049. Thanks Peter Fritzsche.
  * debian/control:
    + Bump Standard-Version to 3.8.4.

 -- Bill Allombert <ballombe@debian.org>  Fri, 05 Feb 2010 12:33:29 +0100

pari (2.3.4-3) unstable; urgency=low

  * debian/control:
    + Build-depends on libreadline-dev instead of libreadline5-dev:
      Closes: 553823. Thanks Matthias Klose.
    + Bump Standard-Version to 3.8.3.

 -- Bill Allombert <ballombe@debian.org>  Wed, 04 Nov 2009 16:05:45 +0100

pari (2.3.4-2) unstable; urgency=low

  * Apply upstream fix for kfreebsd support: Closes: #537902
    + 11797: make sure the build fails if gp cannot be installed.
    + 11799: Add gnu* to systems supporting intra-library dependencies.
  * debian/control:
    + Bump Standard-Version to 3.8.2.
    + move libpari-dbg to section debug.

 -- Bill Allombert <ballombe@debian.org>  Tue, 21 Jul 2009 16:58:08 +0200

pari (2.3.4-1) unstable; urgency=low

  * New bugfix upstream release:
    + Fix upstream bug #741: Closes: #473810
     "mathnf(a,1) could have negative entries if non-trivial kernel"
    + No more ship useless files TODO and CVS.txt
    + Bump libpari shlibs to (>= 2.3.4-1).
  * debian/control:
    + Bump Standard-Version to 3.8.0.
  * doc-base files: update section for new doc-base policy.
  * debian/rules: 
    - Work-around for silly DEB_HOST_GNU_SYSTEM on armel. Closes: #491722.
      Thanks Timothy G Abbott.

 -- Bill Allombert <ballombe@debian.org>  Wed, 23 Jul 2008 09:59:11 +0200

pari (2.3.3-2) unstable; urgency=low

  * Ship documentation in PDF. Closes: #361431.
    Thanks Yann Dirson and Vincent Lefèvre.
  * Fix PARI_CPU for armel.

 -- Bill Allombert <ballombe@debian.org>  Sat, 19 Jan 2008 20:04:46 +0100

pari (2.3.3-1) unstable; urgency=low

  * New upstream release
  * Update menu entry to new menu structure.
  * debian/rules clean:
    + Check if doc/Makefile exists before doing make -C doc clean 
  * debian/control:
    + Bump Standard-Version to 3.7.3.
    + Move libpari-dbg to Priority: extra.
    + Move Homepage outside the description and to the source section.
    + Replace Source-Version by binary:version

 -- Bill Allombert <ballombe@debian.org>  Mon, 07 Jan 2008 13:09:31 +0100

pari (2.3.2-1) unstable; urgency=low

  * New upstream release. Closes: #418601
    - remove benchmark fix patch applied upsteam.
  * Apply patch from Mark Wooding to not delete pari.el at build time.
    Closes: #411140
  * debian/control: update for texlive:
    + Build-Depends on texlive-base instead of tetex-*.
    + pari-doc Recommends texlive-base instead of tetex-extra.

 -- Bill Allombert <ballombe@debian.org>  Fri, 13 Apr 2007 12:27:15 +0200

pari (2.3.1-2) unstable; urgency=low

  * Apply patch to fix benchmark on 64 bit plateforms.

 -- Bill Allombert <ballombe@debian.org>  Sat,  7 Oct 2006 15:19:08 +0200

pari (2.3.1-1) unstable; urgency=low

  * New upstream bugfix release
    - fix incorrect use of mp_set_memory_functions that break programs using 
      both PARI and MPFR. Thanks Sylvain Chevillard (PARI bug #484).
    - one extra symbol added (padic_sqrt, undocumented).
  * debian/watch: fix the regexp.
  * debian/rules:
   + dh_makeshlibs: call with -V '$(libpkg) (>= 2.3.1-1)'
   + do not link gp with -lncurses -lgmp and do not link libpari with -ld.
     Thanks Christian Aichinger for checklib.

 -- Bill Allombert <ballombe@debian.org>  Fri,  6 Oct 2006 13:00:00 +0200

pari (2.3.0-2) unstable; urgency=low

  * debian/rules:
   + Fix PARI_SYSTEM for kfreebsd-gnu. Closes: #341433.
   + Fix PARI_CPU for armeb.
   + Set EXTRAMODLDFLAGS to "-lc -lm -lpari" so that gp2c do not need to 
     depend uselessly on libgmp3-dev.
  * debian/control
   + libpari-dev now suggests pari-gp2c
  * config/get_modld:
   + Patch to preserve EXTRAMODLDFLAGS if set.

 -- Bill Allombert <ballombe@debian.org>  Wed, 28 Jun 2006 18:44:45 +0200

pari (2.3.0-1) unstable; urgency=low

  * New upstream release. Closes: #294931
    + Add support for GNU/kFreeBSD. Closes: #341433
    + Fix the URL in the manpage. Closes: #343625
    + Fix the refcard text overflow. Closes: #361440
    + No more include non-PIC asm code.
    + Build libpari with GMP support.
    + The libpari manual was split out of the main PARI/GP manual.
  * Move to debhelper v5 to use dh_strip --dbg-package.
  * config/get_cc, config/get_dlcflags:
    + Patch to preserve CFLAGS and DLCFLAGS.
      This is easier/safer than working around upstream behaviour.
  * debian/control:
    + Build-Depends on debhelper (>= 5)
    + pari-gp now suggests pari-gp2c
    + libpari1 replaced by libpari2-gmp.
    + Add libpari-dbg debugging package for use with gp2c-dbg.
    + Bump Standards-Version to 3.7.2.
    + Description: Remove outdated location.

 -- Bill Allombert <ballombe@debian.org>  Tue, 30 May 2006 22:14:14 +0200

pari (2.1.7-2) unstable; urgency=low

  * debian/config_build: 
    + Do not build with -fno-frame-pointer on m68k to avoid gcc ICE.

 -- Bill Allombert <ballombe@debian.org>  Thu, 13 Oct 2005 13:01:29 +0200

pari (2.1.7-1) unstable; urgency=low

  * New upstream release
    + This release adds support for gcc-4.0. Closes: #324568.
  * debian/copyright: 
    + Update URL.
    + Add full copyright statement from README
    + Update FSF address.
  * debian/control:
    + Bump Standards-Version to 3.6.2
    + Build-Depends on libx11-dev instead of xlibs-dev.
    + Switch to readline5. Closes: #326310. Thanks Matthias Klose.

