## pari 2.5.0

=== debian/changelog ===
pari (2.5.0-2ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Build using gcc-4.4 on armel to workaround test failure.
    - Don't link explicitly against libc.

 -- Michael Terry <mterry@ubuntu.com>  Thu, 17 Nov 2011 14:25:33 -0500

pari (2.5.0-2) unstable; urgency=low

  * New patches: 
    - fix_multiarch_support (supercede find_libX11_multiarch):
      work-around lack of multiarch support in locatelib
    - fix_pari_init_functions:
      work-around compiler issue on sparc (see #635214)
  * debian/control
    - replace pari-extra by pari-galdata, pari-elldata, pari-seadata
      and pari-galpol.

 -- Bill Allombert <ballombe@debian.org>  Sun, 11 Sep 2011 17:54:50 +0200

pari (2.5.0-1ubuntu1) oneiric; urgency=low

  * Build using gcc-4.4 on armel to workaround LP: #838197.
  * Don't link explicitly against libc.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 04 Sep 2011 15:55:06 +0200

pari (2.5.0-1) unstable; urgency=low

  * New upstream release
    - patch enable_build_envvar reduced to CFLAGS only.
    - patch install-docpdf removed: applied upstream.
    - patch refcard-special-papersize removed: applied upstream.
    - libpari soname bumped to 3.
    - emacs directory removed.
    - patch find_libX11_multiarch added: fix X11 detection.
  * debian/control:
    + libpari2-gmp replaced by libpari3-gmp.
    + Bump Standards-Version to 3.9.2.
  * debian/rules: adjust for libpari3-gmp.
    - Do not use -D_REENTRANT
  * debian/gprc.dft:
    - add histfile, remove strictmatch.
  * debian/libpari3-gmp.postinst: 
    - removed. This is handled by dh_makeshlibs.

 -- Bill Allombert <ballombe@debian.org>  Fri, 22 Jul 2011 23:24:17 +0200

pari (2.3.5-2) unstable; urgency=low

  * debian/control:
    + Bump Standard-Version to 3.9.1.
    + Build-Depends on libgmp-dev instead of libgmp3-dev.

 -- Bill Allombert <ballombe@debian.org>  Fri, 18 Mar 2011 09:21:13 +0100
