=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: pari
-Build-Depends: debhelper (>= 5), libreadline-dev, libx11-dev, libncurses5-dev, libgmp3-dev
+Build-Depends: debhelper (>= 5), libreadline-dev, libx11-dev, libncurses5-dev, libgmp-dev, gcc-4.4 [armel armhf]
 Build-Depends-Indep: texlive-base
 Section: math
 Priority: optional
-Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bill Allombert <ballombe@debian.org>
+Standards-Version: 3.9.2
 Homepage: http://pari.math.u-bordeaux.fr
-
+ 
 Package: pari-gp
 Architecture: any
 Section: math
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: pari-doc, pari-extra, pari-gp2c
+Recommends: pari-doc, pari-galdata, pari-elldata, pari-seadata
+Suggests: pari-gp2c, pari-galpol
 Description: PARI/GP Computer Algebra System binaries
  PARI/GP is a widely used computer algebra system designed for fast
  computations in number theory (factorizations, algebraic number theory,
@@ -30,10 +32,10 @@
 Package: libpari-dev
 Architecture: any
 Section: libdevel
-Provides: libpari2-gmp-dev
+Provides: libpari-gmp3-dev
 Replaces: libpari1-dev
 Conflicts: libpari1-dev
-Depends: libpari2-gmp (= ${binary:Version}), libc-dev, ${misc:Depends}
+Depends: libpari-gmp3 (= ${binary:Version}), libc-dev, ${misc:Depends}
 Suggests: libpari-dbg, pari-gp2c
 Description: PARI/GP Computer Algebra System development files
  PARI/GP is a widely used computer algebra system designed for fast
@@ -54,8 +56,8 @@
 Architecture: any
 Priority: extra
 Section: debug
-Provides: libpari2-gmp-dbg
-Depends: libpari2-gmp (= ${binary:Version}), ${misc:Depends}
+Provides: libpari-gmp3-dbg
+Depends: libpari-gmp3 (= ${binary:Version}), ${misc:Depends}
 Description: PARI/GP Computer Algebra System debugging symbols
  PARI/GP is a widely used computer algebra system designed for fast
  computations in number theory (factorizations, algebraic number theory,
@@ -71,7 +73,7 @@
  .
  This package contains the debugging symbols for gp and libpari.
 
-Package: libpari2-gmp
+Package: libpari-gmp3
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
