=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f 
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
-# Adapted for the PARI Debian package by Bill Allombert 2001-2006
+# Adapted for the PARI Debian package by Bill Allombert 2001-2011
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -21,27 +21,31 @@
 PARI_SYSTEM:=$(patsubst %-gnu,gnu%,$(PARI_SYSTEM))
 DEBIAN_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
+ifneq (,$(filter $(DEBIAN_ARCH), armel armhf))
+  CC=gcc-4.4
+else
+  CC=cc
+endif
+
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS = -g -O0 -Wall 
+CFLAGS = -g -O0 -Wall -fno-strict-aliasing
 else
 CFLAGS = -g -O3 -Wall -fomit-frame-pointer -fno-strict-aliasing
 endif
 
-include config/version
-major = $(VersionMinor)
-libpkg = libpari2-gmp
+major = 5
+libpkg = libpari-gmp3
 
 build: build-arch 
 
 config: config-stamp
 config-stamp:
 	dh_testdir
-	CC=cc CFLAGS="$(CFLAGS)" DLCFLAGS="-D_REENTRANT -fPIC" \
-	  EXTRAMODLDFLAGS="-lc -lm -lpari" \
+	CC=$(CC) CFLAGS="$(CFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
-            --builddir=obj-dyn --graphic=X11 --with-gmp
-	CC=cc CFLAGS="$(CFLAGS)" DLCFLAGS="-D_REENTRANT" \
+            --builddir=obj-dyn --graphic=X11 --with-gmp 
+	CC=$(CC) CFLAGS="$(CFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
             --builddir=obj-sta --graphic=X11 --with-gmp
@@ -49,8 +53,8 @@
 
 build-arch: build-arch-stamp
 build-arch-stamp: config-stamp
-	$(MAKE) -C obj-dyn lib-dyn "LIBS=-lc -lm -lgmp"
-	$(MAKE) -C obj-sta lib-sta
+	$(MAKE) -C obj-dyn lib-dyn "LIBS=-lm -lgmp"
+	$(MAKE) -C obj-sta lib-sta DLCFLAGS=""
 	$(MAKE) -C obj-dyn gp-dyn
 ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) dobench -C obj-dyn
@@ -97,16 +101,16 @@
 	dh_installdirs -a
 	$(MAKE) -C obj-dyn install-bin-dyn install-man LIBS="-lm -ldl" RLLIBS=-lreadline STRIP=true RUNPTH_FINAL= DESTDIR=`pwd`/debian/pari-gp
 	rm debian/pari-gp/usr/share/man/man1/gphelp.1
+	rm -r debian/pari-gp/usr/lib
 	$(MAKE) -C obj-dyn install-lib-dyn DESTDIR=`pwd`/debian/$(libpkg)
 	$(MAKE) -C obj-sta install-lib-sta DESTDIR=`pwd`/debian/libpari-dev
 	$(MAKE) -C obj-dyn install-include install-cfg DESTDIR=`pwd`/debian/libpari-dev
 	mv debian/$(libpkg)/usr/lib/libpari.so debian/libpari-dev/usr/lib/
 	dh_install -a
 	install -p -m 644 debian/misc-readme debian/pari-gp/usr/share/doc/pari-gp/misc/README.Debian
-	install -p -m 644 debian/emacs-readme debian/pari-gp/usr/share/doc/pari-gp/emacs/README.Debian
 	install -p -m 644 debian/gprc.dft debian/pari-gp/etc/gprc
 	dh_strip -a --dbg-package=libpari-dbg
-	dh_makeshlibs -a -V '$(libpkg) (>= 2.3.4-1)'
+	dh_makeshlibs -a -V '$(libpkg) (>= 2.5.0-1)'
 	dh_shlibdeps -a -l debian/$(libpkg)/usr/lib -L$(libpkg)
 
 #Must not depend on anything. This is to be called by binary-arch/binary-indep
