## pari 2.5.1

=== debian/changelog ===
pari (2.5.1-2) unstable; urgency=high

  * New patch gcc-4.7-linear-fix to fix build failure with gcc-4.7.
    Closes: 673308
  * debian/control:
    + Bump Standards-Version to 3.9.3.

 -- Bill Allombert <ballombe@debian.org>  Mon, 04 Jun 2012 10:11:20 +0200

pari (2.5.1-1) unstable; urgency=low

  * New upstream release. This release
    - Fix multiarch support: Patch fix_multiarch_support removed.
      This also takes care of the missing GMP version in the banner.
  * debian/rules:
   - Fix detection of powerpc ABI.
   - Generate pari.cfg.dbg and add it to libpari-dev (Useful for gp2c-dbg).
  * New patch:
    - tex2mail-Getopt-Long: change tex2mail to use Getopt::Long instead of 
      perl4 module.
  * debian/control:
    - No more Build-Depends on libncurses5-dev

 -- Bill Allombert <ballombe@debian.org>  Mon, 06 Feb 2012 23:00:43 +0100
