=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pari
-Build-Depends: debhelper (>= 5), libreadline-dev, libx11-dev, libncurses5-dev, libgmp-dev, gcc-4.4 [armel armhf]
+Build-Depends: debhelper (>= 5), libreadline-dev, libx11-dev, libgmp-dev
 Build-Depends-Indep: texlive-base
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.9.2
+Maintainer: Bill Allombert <ballombe@debian.org>
+Standards-Version: 3.9.3
 Homepage: http://pari.math.u-bordeaux.fr
  
 Package: pari-gp
