=== debian/rules ===
--- 
+++ 
@@ -15,20 +15,16 @@
 PARI_CPU:=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 PARI_CPU:=$(if $(findstring $(PARI_CPU),sparc),sparcv8_micro,$(PARI_CPU))
 PARI_CPU:=$(if $(findstring $(PARI_CPU),mipsel),mips,$(PARI_CPU))
+PARI_CPU:=$(if $(findstring $(PARI_CPU),powerpc),ppc,$(PARI_CPU))
 
 PARI_SYSTEM:=$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 PARI_SYSTEM:=$(patsubst linux-gnu%,linux,$(PARI_SYSTEM))
 PARI_SYSTEM:=$(patsubst %-gnu,gnu%,$(PARI_SYSTEM))
 DEBIAN_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-ifneq (,$(filter $(DEBIAN_ARCH), armel armhf))
-  CC=gcc-4.4
-else
-  CC=cc
-endif
-
+DBGCFLAGS = -g -O0 -Wall -fno-strict-aliasing
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS = -g -O0 -Wall -fno-strict-aliasing
+CFLAGS = $(DBGCFLAGS)
 else
 CFLAGS = -g -O3 -Wall -fomit-frame-pointer -fno-strict-aliasing
 endif
@@ -41,19 +37,23 @@
 config: config-stamp
 config-stamp:
 	dh_testdir
-	CC=$(CC) CFLAGS="$(CFLAGS)" \
+	CC=cc CFLAGS="$(CFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
             --builddir=obj-dyn --graphic=X11 --with-gmp 
-	CC=$(CC) CFLAGS="$(CFLAGS)" \
+	CC=cc CFLAGS="$(CFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
             --builddir=obj-sta --graphic=X11 --with-gmp
+	CC=cc CFLAGS="$(DBGCFLAGS)" \
+	  ./Configure \
+            --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
+            --builddir=obj-dbg --graphic=X11 --with-gmp
 	touch config-stamp
 
 build-arch: build-arch-stamp
 build-arch-stamp: config-stamp
-	$(MAKE) -C obj-dyn lib-dyn "LIBS=-lm -lgmp"
+	$(MAKE) -C obj-dyn lib-dyn "LIBS=-lc -lm -lgmp"
 	$(MAKE) -C obj-sta lib-sta DLCFLAGS=""
 	$(MAKE) -C obj-dyn gp-dyn
 ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
@@ -72,7 +72,7 @@
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp config-stamp
 	if [ -f doc/Makefile ]; then $(MAKE) clean -C doc; fi
-	-rm -rf obj-dyn obj-sta
+	-rm -rf obj-dyn obj-sta obj-dbg
 	-rm -f gp Makefile* examples/Makefile* 
 	-rm -f doc/Makefile doc/gphelp doc/paricfg.tex
 	-rm -f emacs/pari-conf.el misc/tex2mail
@@ -107,6 +107,7 @@
 	$(MAKE) -C obj-dyn install-include install-cfg DESTDIR=`pwd`/debian/libpari-dev
 	mv debian/$(libpkg)/usr/lib/libpari.so debian/libpari-dev/usr/lib/
 	dh_install -a
+	install -p -m 644 obj-dbg/pari.cfg debian/libpari-dev/usr/lib/pari/pari.cfg.dbg
 	install -p -m 644 debian/misc-readme debian/pari-gp/usr/share/doc/pari-gp/misc/README.Debian
 	install -p -m 644 debian/gprc.dft debian/pari-gp/etc/gprc
 	dh_strip -a --dbg-package=libpari-dbg
