## pari 2.5.5

=== debian/changelog ===
pari (2.5.5-1) unstable; urgency=low

  * New upstream release
    - Fix detection of multiarch GMP.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
  * debian/rules:
    - Add CPU mapping for s390x, sparc64 and ppc64

 -- Bill Allombert <ballombe@debian.org>  Tue, 24 Sep 2013 20:49:44 +0200

pari (2.5.4-1) unstable; urgency=low

  * New upstream release. Closes: #703116
    - Fix gcc-4.7 support. Patch gcc-4.7-linear-fix removed.
    - Update tex2mail. Patch tex2mail-Getopt-Long removed.
  * Multiarchify libpari-gmp3. 

 -- Bill Allombert <ballombe@debian.org>  Mon, 13 May 2013 14:31:49 +0200
