=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://pari.math.u-bordeaux.fr
  
 Package: pari-gp
@@ -57,6 +57,7 @@
 Section: debug
 Provides: libpari-gmp3-dbg
 Depends: libpari-gmp3 (= ${binary:Version}), ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: PARI/GP Computer Algebra System debugging symbols
  PARI/GP is a widely used computer algebra system designed for fast
  computations in number theory (factorizations, algebraic number theory,
@@ -76,6 +77,8 @@
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: PARI/GP Computer Algebra System shared library
  PARI/GP is a widely used computer algebra system designed for fast
  computations in number theory (factorizations, algebraic number theory,
