=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,17 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 #Architecture 
-#I want to support "fakeroot debian/rules binary" way of building.
-#PARI use sparcv7 for Debian/sparc and sparcv9 for Debian/sparc64
+#PARI use sparcv8_micro for Debian/sparc and sparcv9 for Debian/sparc64
 #
 PARI_CPU:=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 PARI_CPU:=$(if $(findstring $(PARI_CPU),sparc),sparcv8_micro,$(PARI_CPU))
+PARI_CPU:=$(if $(findstring $(PARI_CPU),sparc64),sparcv9,$(PARI_CPU))
+#Catch mips/mipsel
 PARI_CPU:=$(if $(findstring $(PARI_CPU),mipsel),mips,$(PARI_CPU))
-PARI_CPU:=$(if $(findstring $(PARI_CPU),powerpc),ppc,$(PARI_CPU))
-
+#Catch powerpc/powerpc64
+PARI_CPU:=$(if $(findstring $(PARI_CPU),powerpc64),ppc,$(PARI_CPU))
+#Catch s390/s390x
+PARI_CPU:=$(if $(findstring $(PARI_CPU),s390x),s390,$(PARI_CPU))
 PARI_SYSTEM:=$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 PARI_SYSTEM:=$(patsubst linux-gnu%,linux,$(PARI_SYSTEM))
 PARI_SYSTEM:=$(patsubst %-gnu,gnu%,$(PARI_SYSTEM))
@@ -31,6 +34,7 @@
 
 major = 5
 libpkg = libpari-gmp3
+libtriplet = usr/lib/$(DEB_HOST_MULTIARCH)
 
 build: build-arch 
 
@@ -40,14 +44,17 @@
 	CC=cc CFLAGS="$(CFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
+            --libdir=/$(libtriplet) \
             --builddir=obj-dyn --graphic=X11 --with-gmp 
 	CC=cc CFLAGS="$(CFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
+            --libdir=/$(libtriplet) \
             --builddir=obj-sta --graphic=X11 --with-gmp
 	CC=cc CFLAGS="$(DBGCFLAGS)" \
 	  ./Configure \
             --prefix=/usr --host=$(PARI_CPU)-$(PARI_SYSTEM) \
+            --libdir=/$(libtriplet) \
             --builddir=obj-dbg --graphic=X11 --with-gmp
 	touch config-stamp
 
@@ -105,14 +112,14 @@
 	$(MAKE) -C obj-dyn install-lib-dyn DESTDIR=`pwd`/debian/$(libpkg)
 	$(MAKE) -C obj-sta install-lib-sta DESTDIR=`pwd`/debian/libpari-dev
 	$(MAKE) -C obj-dyn install-include install-cfg DESTDIR=`pwd`/debian/libpari-dev
-	mv debian/$(libpkg)/usr/lib/libpari.so debian/libpari-dev/usr/lib/
+	mv debian/$(libpkg)/$(libtriplet)/libpari.so debian/libpari-dev/$(libtriplet)
 	dh_install -a
 	install -p -m 644 obj-dbg/pari.cfg debian/libpari-dev/usr/lib/pari/pari.cfg.dbg
 	install -p -m 644 debian/misc-readme debian/pari-gp/usr/share/doc/pari-gp/misc/README.Debian
 	install -p -m 644 debian/gprc.dft debian/pari-gp/etc/gprc
 	dh_strip -a --dbg-package=libpari-dbg
 	dh_makeshlibs -a -V '$(libpkg) (>= 2.5.0-1)'
-	dh_shlibdeps -a -l debian/$(libpkg)/usr/lib -L$(libpkg)
+	dh_shlibdeps -a -l debian/$(libpkg)/$(libtriplet) -L$(libpkg)
 
 #Must not depend on anything. This is to be called by binary-arch/binary-indep
 # in another 'make' thread.
